function book_publisher_agency_menu_open_nav() {
	window.book_publisher_agency_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function book_publisher_agency_menu_close_nav() {
	window.book_publisher_agency_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed: 'fast'
 	});
});



jQuery(document).ready(function () {
	window.book_publisher_agency_currentfocus=null;
  	book_publisher_agency_checkfocusdElement();
	var book_publisher_agency_body = document.querySelector('body');
	book_publisher_agency_body.addEventListener('keyup', book_publisher_agency_check_tab_press);
	var book_publisher_agency_gotoHome = false;
	var book_publisher_agency_gotoClose = false;
	window.book_publisher_agency_responsiveMenu=false;
 	function book_publisher_agency_checkfocusdElement(){
	 	if(window.book_publisher_agency_currentfocus=document.activeElement.className){
		 	window.book_publisher_agency_currentfocus=document.activeElement.className;
	 	}
 	}
 	function book_publisher_agency_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.book_publisher_agency_responsiveMenu){
			if (!e.shiftKey) {
				if(book_publisher_agency_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				book_publisher_agency_gotoHome = true;
			} else {
				book_publisher_agency_gotoHome = false;
			}

		}else{

			if(window.book_publisher_agency_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.book_publisher_agency_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.book_publisher_agency_responsiveMenu){
				if(book_publisher_agency_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					book_publisher_agency_gotoClose = true;
				} else {
					book_publisher_agency_gotoClose = false;
				}

			}else{

			if(window.book_publisher_agency_responsiveMenu){
			}}}}
		}
	 	book_publisher_agency_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

	$(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// search
jQuery(document).ready(function () {
	function book_publisher_agency_search_loop_focus(element) {
	var book_publisher_agency_focus = element.find('select, input, textarea, button, a[href]');
	var book_publisher_agency_firstFocus = book_publisher_agency_focus[0];  
	var book_publisher_agency_lastFocus = book_publisher_agency_focus[book_publisher_agency_focus.length - 1];
	var KEYCODE_TAB = 9;

	element.on('keydown', function book_publisher_agency_search_loop_focus(e) {
	  var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

	  if (!isTabPressed) { 
		return; 
	  }

	  if ( e.shiftKey ) /* shift + tab */ {
		if (document.activeElement === book_publisher_agency_firstFocus) {
		  book_publisher_agency_lastFocus.focus();
			e.preventDefault();
		  }
		} else /* tab */ {
		if (document.activeElement === book_publisher_agency_lastFocus) {
		  book_publisher_agency_firstFocus.focus();
			e.preventDefault();
		  }
		}
	});
  }
  jQuery('.search-box span a').click(function(){
	  jQuery(".serach_outer").slideDown(1000);
	  book_publisher_agency_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
	  jQuery(".serach_outer").slideUp(1000);
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const book_publisher_agency_progressBar =
        document.getElementById("book_publisher_agency_elemento_progress_bar");
    if (!book_publisher_agency_progressBar) return;
    window.addEventListener("scroll", function () {
        const book_publisher_agency_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const book_publisher_agency_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const book_publisher_agency_scrolled =
            (book_publisher_agency_scrollTop / book_publisher_agency_height) * 100;
        book_publisher_agency_progressBar.style.width =
            book_publisher_agency_scrolled + "%";
    });
});